from rest_framework import serializers
from reqman.apps.reqtool.models.main_req import Main, Main_M1, Main_M2, Main_M3, Main_M4

class MainSerializer(serializers.ModelSerializer):
    boilerplate_of_main = serializers.PrimaryKeyRelatedField(read_only=True)
    prefix_owner_of_main = serializers.PrimaryKeyRelatedField(read_only=True)
    class Meta:
        model = Main
        fields = ( 'id', 'prefix_owner_of_main', 'boilerplate_of_main', 'main_choices')


class Main_M1Serializer(serializers.ModelSerializer):
    boilerplate_of_m1 = serializers.PrimaryKeyRelatedField(read_only=True)
    main_owner_of_m1 = serializers.PrimaryKeyRelatedField(read_only=True)
    class Meta:
        model = Main_M1
        fields = ( 'id', 'boilerplate_of_m1', 'main_owner_of_m1', 'sys_fun_m1', 'shall_m1', 'quantifier_m1', 'numerical_m1', 'mumerical_units_m1', 'item_m1', 'statevalue_m1')


class Main_M2Serializer(serializers.ModelSerializer):
    boilerplate_of_m2 = serializers.PrimaryKeyRelatedField(read_only=True)
    main_owner_of_m2 = serializers.PrimaryKeyRelatedField(read_only=True)
    class Meta:
        model = Main_M2
        fields = ( 'id', 'boilerplate_of_m2', 'main_owner_of_m2', 'sys_fun_m2', 'shall_m2', 'state_m2', 'statevalue_m2')


class Main_M3Serializer(serializers.ModelSerializer):
    boilerplate_of_m3 = serializers.PrimaryKeyRelatedField(read_only=True)
    main_owner_of_m3 = serializers.PrimaryKeyRelatedField(read_only=True)
    class Meta:
        model = Main_M3
        fields = ( 'id', 'boilerplate_of_m3', 'main_owner_of_m3', 'sys_fun_m3', 'shall_m3', 'quantifier_m3', 'numerical_m3', 'mumerical_units_m3', 'item_m3')


class Main_M4Serializer(serializers.ModelSerializer):
    boilerplate_of_m4 = serializers.PrimaryKeyRelatedField(read_only=True)
    main_owner_of_m4 = serializers.PrimaryKeyRelatedField(read_only=True)
    class Meta:
        model = Main_M4
        fields = ( 'id', 'boilerplate_of_m4', 'main_owner_of_m4', 'sys_fun_m4', 'shall_m4', 'quantifier_m4', 'numerical_m4', 'mumerical_units_m4', 'item_m4')